## rpi-ws281x-python 3.1.0

=== Makefile ===
.PHONY: clean lib

SRC = lib
BUILD = lib-built
OBJECTS = $(BUILD)/ws2811.o $(BUILD)/rpihw.o $(BUILD)/pcm.o $(BUILD)/pwm.o $(BUILD)/dma.o $(BUILD)/mailbox.o
LIB = libws2811.a

all: $(BUILD) $(BUILD)/version.h $(BUILD)/$(LIB)

$(BUILD):
	mkdir -p $(BUILD)

$(BUILD)/version.h:
	cp version.h $(BUILD)/version.h

$(OBJECTS): $(BUILD)/%.o : $(SRC)/%.c
	gcc $< -o $@ -c -g -O2 -Wall -Werror -fPIC

$(BUILD)/$(LIB): $(OBJECTS)
	ar rc $@ $^
	ranlib $@

clean:
	-rm -f $(OBJECTS) $(BUILD)/$(LIB) $(BUILD)/version.h

=== debian/changelog ===
rpi-ws281x-python (3.1.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 20:51:53 +0000

rpi-ws281x-python (3.1.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 20:41:03 +0000

rpi-ws281x-python (3.1.0-0ubuntu1) jammy; urgency=medium

  * Initial packaging for Ubuntu (LP: #1969648)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 20 Apr 2022 18:06:03 +0100

=== debian/control ===
Source: rpi-ws281x-python
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Phil Howard <phil@pimoroni.com>
Homepage: https://github.com/pimoroni/rpi_ws281x-python
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libws2811-dev,
               python3-dev,
               python3-setuptools,
Standards-Version: 4.5.1

Package: python3-rpi-ws281x
Architecture: armhf arm64
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Suggests:
Description: Python bindings for the ws281x library
 Control library WS281x neopixel LEDs for the Raspberry Pi.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_OPTIONS
export PYBUILD_DIR=library
export PYBUILD_NAME=rpi-ws281x-python

%:
	dh $@ --with python3 --buildsystem=pybuild
